Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-60858

HTTPS issue after update to 2.217

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Blocker
    • Resolution: Duplicate
    • winstone-jetty
    • None
    • Ubuntu 16.04.6 LTS
      Jenkins 2.217

    Description

      Hello,

      after we updated our jenkins installation from 2.214 to 2.217 today we encountered a serious problem with the updated winstone-jetty:

      SEVERE: KeyStores with multiple certificates are not supported on the base class org.eclipse.jetty.util.ssl.SslContextFactory. (Use org.eclipse.jetty.util.ssl.SslContextFactory$Server or org.eclipse.jetty.util.ssl.SslContextFactory$Client instead

      There is only one certificate in our jenkins keystore, wich is a JKS based keystore. It seems to be connected to the jetty-9.4.23 update (Releasenotes entry: 4325 Deprecate SniX509ExtendedKeyManager constructor without SslContextFactory$Server)

      Jenkins startup was aborted.

      After a downgrade to jenkins 2.214 everything was fine again.

       

      Best regards,

      Heiko

      Attachments

        Issue Links

          Activity

            webwart H. Feldker created issue -
            webwart H. Feldker made changes -
            Field Original Value New Value
            Link This issue duplicates JENKINS-60857 [ JENKINS-60857 ]
            webwart H. Feldker made changes -
            Resolution Duplicate [ 3 ]
            Status Open [ 1 ] Closed [ 6 ]

            People

              Unassigned Unassigned
              webwart H. Feldker
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: